aboutsummaryrefslogtreecommitdiffstats
path: root/meta-ivi/conf/distro/poky-ivi-systemd.conf
diff options
context:
space:
mode:
authorHolger Behrens <holger.behrens@windriver.com>2014-08-22 16:42:27 +0200
committerHolger Behrens <holger.behrens@windriver.com>2014-08-22 16:42:55 +0200
commitb72f500e6e321b47a552a14ea23014332cc10286 (patch)
tree65ada23c4ae7acb4e88f611e6ce64040c998b54e /meta-ivi/conf/distro/poky-ivi-systemd.conf
parent11dd20199382e2d4eeff62c48c967fd733633632 (diff)
downloadmeta-ivi-b72f500e6e321b47a552a14ea23014332cc10286.tar.gz
meta-ivi-b72f500e6e321b47a552a14ea23014332cc10286.tar.bz2
meta-ivi-b72f500e6e321b47a552a14ea23014332cc10286.zip
meta-ivi: prepare 7.0.0 release
Signed-off-by: Holger Behrens <holger.behrens@windriver.com>
Diffstat (limited to 'meta-ivi/conf/distro/poky-ivi-systemd.conf')
-rw-r--r--meta-ivi/conf/distro/poky-ivi-systemd.conf21
1 files changed, 15 insertions, 6 deletions
diff --git a/meta-ivi/conf/distro/poky-ivi-systemd.conf b/meta-ivi/conf/distro/poky-ivi-systemd.conf
index 796809a..2d0eab5 100644
--- a/meta-ivi/conf/distro/poky-ivi-systemd.conf
+++ b/meta-ivi/conf/distro/poky-ivi-systemd.conf
@@ -1,12 +1,13 @@
DISTRO = "poky-ivi-systemd"
DISTRO_NAME = "Yocto GENIVI Baseline (Poky/meta-ivi)"
-DISTRO_VERSION = "6.0+snapshot-${DATE}"
-DISTRO_CODENAME ="horizon"
+DISTRO_VERSION = "7.0+snapshot-${DATE}"
+DISTRO_CODENAME ="intrepid"
MAINTAINER = "meta-ivi <genivi-meta-ivi@lists.genivi.org>"
TARGET_VENDOR = "-poky"
+LOCALCONF_VERSION = "1"
LAYER_CONF_VERSION ?= "6"
include conf/distro/include/default-providers-ivi.inc
@@ -24,8 +25,11 @@ PREFERRED_VERSION_linux-yocto_qemux86-64 ?= "3.10%"
PREFERRED_VERSION_linux-yocto_qemuarm ?= "3.10%"
PREFERRED_VERSION_linux-yocto_vexpressa9 ?= "3.10%"
-PREFERRED_PROVIDER_jpeg = "jpeg"
-PREFERRED_PROVIDER_jpeg-native = "jpeg-native"
+POKYQEMUDEPS = "${@bb.utils.contains("INCOMPATIBLE_LICENSE", "GPLv3", "", "packagegroup-core-device-devel",d)}"
+DISTRO_EXTRA_RDEPENDS_append_qemuarm = " ${POKYQEMUDEPS}"
+DISTRO_EXTRA_RDEPENDS_append_qemux86 = " ${POKYQEMUDEPS}"
+DISTRO_EXTRA_RDEPENDS_append_qemux86-64 = " ${POKYQEMUDEPS}"
+DISTRO_EXTRA_RDEPENDS_append_vexpressa9 = " ${POKYQEMUDEPS}"
TCLIBCAPPEND = ""
@@ -51,6 +55,7 @@ PREMIRRORS ??= "\
bzr://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
cvs://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
git://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
+gitsm://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
hg://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
osc://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
p4://.*/.* http://downloads.yoctoproject.org/mirror/sources/ \n \
@@ -81,13 +86,17 @@ BB_SIGNATURE_HANDLER ?= 'OEBasicHash'
#
OELAYOUT_ABI = "8"
+# add poky sanity bbclass
+INHERIT += "poky-sanity"
+
# QA check settings - a little stricter than the OE-Core defaults
-WARN_QA = "textrel files-invalid incompatible-license xorg-driver-abi libdir"
+WARN_QA = "textrel files-invalid incompatible-license xorg-driver-abi libdir \
+ unknown-configure-option build-deps"
ERROR_QA = "dev-so debug-deps dev-deps debug-files arch pkgconfig la perms \
useless-rpaths rpaths staticdev ldflags pkgvarcheck already-stripped \
compile-host-path dep-cmp installed-vs-shipped install-host-path \
packages-list perm-config perm-line perm-link pkgv-undefined \
- pn-overrides split-strip var-undefined"
+ pn-overrides split-strip var-undefined version-going-backwards"
#
# TO DO